### Method

# EDataCal CalBackend discard_alarm_sync

since: 3.10

#### Declaration [src]

    gboolean
    e_cal_backend_discard_alarm_sync (
      ECalBackend* backend,
      const gchar* uid,
      const gchar* rid,
      const gchar* alarm_uid,
      ECalOperationFlags opflags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Discards the VALARM object with a unique ID of `alarm_uid` from the iCalendar object identified by `uid` and, optionally, `rid`.

If an error occurs, the function will set `error` and return `FALSE`.

Available since: 3.10

#### Parameters

`uid`

  Type: `const gchar*`

  A unique ID for an iCalendar object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`rid`

  Type: `const gchar*`

  A recurrence ID, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`alarm_uid`

  Type: `const gchar*`

  A unique ID for an iCalendar VALARM object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`opflags`

  Type: `ECalOperationFlags`

  Bit-or of `ECalOperationFlags`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure.